import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderHonda.js";
import Footer from "components/Footer/FooterHonda.js";
import CarrerDetail from "pages-sections/honda/carrer/carrer_details.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";
import GetDetailcarrer from "api/carrer/carrer.js"
import Cookies from "cookies";

const useStyles = makeStyles(styles);

const CarrerDetails = function ({ user, backend, detailcarrer, ...props })  {
    const classes = useStyles();
    const { ...rest } = props;
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white"
            }}
            {...rest}
        />
        <Parallax image={require("assets/img/carrer.png")} height="50px"/>
        <div className={classNames(classes.main, classes.mainRaised)}>
            <CarrerDetail detailcarrer={detailcarrer} backend={backend}/>  
        </div>
        <Footer />
        </div>
    );
}

export default CarrerDetails;

export async function getServerSideProps(context) {
    var {query} = context;
	var detailcarrer = [];
    const backend = process.env.BACKEND_SERVER_URI;

    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
    var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
    if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
        return (
            i.business_partner && i.business_partner.name.toUpperCase() == "HONDA"
        );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }

	var res = await GetDetailcarrer.GetDetailCarrer(query.s||0);
	if (res["STATUS"] === 1) {
		detailcarrer = res["DATA"]["carrers"];
	}

	return {
		props: { user, detailcarrer, backend }, // will be passed to the page component as props
	};
}